{
"board_id": "winter-frost-CJk4G",
"chat_id": "chatNode-patient-star-4uIJt",
"prompt": "What is my favourite number?",
"model": "gpt-4o",
"additional_context": "My favourite number is 444"
}
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
Conversation Endpoints
Chat with knowledge base
Continue an existing conversation thread with your assistant
POST
/
api
/
conversation
/
{conversationId}
{
"board_id": "winter-frost-CJk4G",
"chat_id": "chatNode-patient-star-4uIJt",
"prompt": "What is my favourite number?",
"model": "gpt-4o",
"additional_context": "My favourite number is 444"
}
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
This endpoint lets you continue an ongoing conversation with your assistant, keeping the context from previous messages.
URL Parameters
Query Parameters
Request Body
The AI model to use for generating the response (each model has different capabilities and
pricing)
Force the AI response to use plain text instead of markdown. Allowed values are “true” or
“active”. Any other value will disable plaintext.
Return the answer as a stream instead of a JSON. Allowed values are “true” or “active”. Any other
value will disable streaming.
When streaming is enabled, set this to
true to receive credit usage information as a final chunk
in the stream. The usage chunk will be appended after the finish event with the format:
{"type":"usage","credits_used":0.123}. This is similar to OpenAI’s stream_options.include_usage parameter.Extra information you want to include for this specific exchange (will not be stored in
conversation history)
Response
{
"board_id": "winter-frost-CJk4G",
"chat_id": "chatNode-patient-star-4uIJt",
"prompt": "What is my favourite number?",
"model": "gpt-4o",
"additional_context": "My favourite number is 444"
}
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
